checkRequire("Lua_GodSeaPeakFirstRewardPanel");
checkRequire("Lua_GodSeaPeakDanRewardPanel");
checkRequire("Lua_GodSeaPeakRankRewardPanel");
Lua_GodSeaPeakRewardWindow = class("Lua_GodSeaPeakRewardWindow", Lua_Window)
function Lua_GodSeaPeakRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GodSeaPeakRewardWindow";
	self.skinName = "GodSeaPeakRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GodSeaPeakRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.buttonInfo =  Array();
	self.buttonInfo:add(790011);
	self.buttonInfo:add(790012);
	self.buttonInfo:add(790013);

	self.buttonList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
	self.buttonList:setLocation(0, -427, 0);
	self.buttonList:setButtonCell(Lua_CommonButtonItem2);
	self.buttonList:setButtonItem(160, 67);
	self.buttonList:setClickCallBack(self, self.onButtonClick);
	self.buttonList:setData(self.buttonInfo);
	self.buttonList:setSelected(1);
end

function Lua_GodSeaPeakRewardWindow:dispose()
	if self.showPanel then
		self.showPanel:dispose();
		self.showPanel = nil;
	end
	if self.buttonList then
		self.buttonList:dispose();
		self.buttonList = nil;
	end
	if self.buttonInfo then
		self.buttonInfo:clear();
		self.buttonInfo = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakRewardWindow:onButtonClick(index, data)
	if self.showPanel then
		self.showPanel:dispose();
		self.showPanel = nil;
	end

	if index == 1 then
		self.showPanel = Lua_GodSeaPeakFirstRewardPanel.new(self.content);
	elseif index == 2 then
		self.showPanel = Lua_GodSeaPeakDanRewardPanel.new(self.content);
	elseif index == 3 then
		self.showPanel = Lua_GodSeaPeakRankRewardPanel.new(self.content);
	end
end