Lua_GodSeaPeakScoreChangeWindow = class("Lua_GodSeaPeakScoreChangeWindow", Lua_Window)
function Lua_GodSeaPeakScoreChangeWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GodSeaPeakScoreChangeWindow";
	self.skinName = "GodSeaPeakScoreChangeWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GodSeaPeakScoreChangeWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.desText:setLangValue(790014);
	self.btnCancel:addClickFuntion(self, self.hide);
	self.btnSubmit:addClickFuntion(self, self.onCheckRecord);
end

function Lua_GodSeaPeakScoreChangeWindow:dispose()
	local upDanId = DataCenter.godSeaPeakData.newDan - DataCenter.godSeaPeakData.oldDan;
	if upDanId > 0 then
		Lua_WindowUtil.openWin("Lua_GodSeaPeakUpSuccessWindow", Lua_WinParam.ACTION_OPEN);
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakScoreChangeWindow:showWin(param)
	self:superCall("showWin", param);

	self.scoreText.text = DataCenter.godSeaPeakData.integral;
	self.scoreText:resetSize();
	self.scoreIcon:setLocation(9 - self.scoreText.width, 0, 0);
	if param > 0 then
		self.arrowIcon:setAltas("god_sea_peak_atlas_1", "xui_shzd_label_1");
		self.changeText.colorStr = Lua_ColorDefine.transColorStr("479154");
	else
		self.arrowIcon:setAltas("god_sea_peak_atlas_1", "xui_shzd_label_2");
		self.changeText.colorStr = Lua_ColorDefine.transColorStr("ED4C30");
	end
	self.changeText.text = param;
end

function Lua_GodSeaPeakScoreChangeWindow:onCheckRecord(go)
	Lua_WindowUtil.openWin("Lua_GodSeaPeakRecordWindow", Lua_WinParam.ACTION_OPEN);
	self:hide();
end